extends Node3D

@onready var mesh = $"mesh"
@onready var placement_mesh = $"placement_mesh"

var level

func set_mesh_material(material):
	self.mesh.set_surface_override_material(0, material)

func set_placement_mesh_material(index, material):
	self.placement_mesh.set_surface_override_material(index, material)
	
func set_placement_mesh(mesh):
	self.placement_mesh.set_mesh(mesh)

func set_placement_mesh_rotation(rotation):
	self.placement_mesh.set_rotation(Vector3(0, deg_to_rad(rotation), 0))
	

